CGAL 6.1.2 - Bounding Volumes: ApproximateMinEllipsoid_d_Traits_d Concept Reference

CGAL 6.1.2 - Bounding Volumes

Loading...
Searching...
No Matches
List of all members
ApproximateMinEllipsoid_d_Traits_d Concept Reference
Reference Manual » Concepts

## Definition

This concept defines the requirements for traits classes of `CGAL::Approximate_min_ellipsoid_d<Traits>`.

Refines
  `CopyConstructible`
  `Assignable`
  `DefaultConstructible`

Has models
  `CGAL::Approximate_min_ellipsoid_d_traits_2<K,ET>`
  `CGAL::Approximate_min_ellipsoid_d_traits_3<K,ET>`
  `CGAL::Approximate_min_ellipsoid_d_traits_d<K,ET>`

See also
  `CGAL::Min_ellipse_2<Traits>`

## Types
typedef unspecified_type | FT
| `typedef double FT`
typedef unspecified_type | ET
| Some model of concept `RingNumberType` that provides exact arithmetic.
typedef unspecified_type | Point
| Type of the input points.
typedef unspecified_type | Cartesian_const_iterator
| Model for the STL concept `RandomAccessIterator` whose value type must be convertible to `double`.

## Access Functions
int | dimension (const Point &p)
| returns the dimension of a point `p`.
Cartesian_const_iterator | cartesian_begin (const Point &p)
| returns an input iterator over the Euclidean coordinates of the point \( p\).

## Member Typedef Documentation

## ◆ Cartesian_const_iterator

typedef unspecified_type ApproximateMinEllipsoid_d_Traits_d::Cartesian_const_iterator

Model for the STL concept `RandomAccessIterator` whose value type must be convertible to `double`.

This type is used to iterate over the Cartesian coordinates of an instance of type `Point`, see `cartesian_begin()` below.

## ◆ ET

typedef unspecified_type ApproximateMinEllipsoid_d_Traits_d::ET

Some model of concept `RingNumberType` that provides exact arithmetic.

In addition, `ET` must be able to exactly represent any finite `double` value. (An example for such a type is `CGAL::MP_Float`.). The type `ET` is to be used by the `Approximate_min_ellipsoid_d<Traits>` class for internal, exact computations.

## ◆ Point

typedef unspecified_type ApproximateMinEllipsoid_d_Traits_d::Point

Type of the input points.

`Point` must provide the default and copy constructor, and must be a model of `DefaultConstructible`, `CopyConstructible`, and `Assignable`.

## Member Function Documentation

## ◆ cartesian_begin()

Cartesian_const_iterator ApproximateMinEllipsoid_d_Traits_d::cartesian_begin | ( | const Point & | p | ) |

returns an input iterator over the Euclidean coordinates of the point \( p\).

The range of the iterator must have size `dimension(p)`.